<div class="row">
  <div class="col-lg-10 col-xl-8 offset-lg-1 offset-xl-2">
    <h1>Connexion à la console d'administration</h1>
    <div class="alert alert-danger" *ngIf="erreurMsg">
      {{ erreurMsg }}
    </div>

    <form [formGroup]="formulaire" (ngSubmit)="connexion()" #form='ngForm'>

      <div class="form-floating mb-3">
        <input id="courriel" type="email" class="form-control" formControlName="courriel"
               placeholder="Courriel"
               [class.is-invalid]="courriel?.invalid && form.submitted">
        <label for="courriel" class="form-label">Courriel</label>
        <div class="invalid-feedback">
          <div *ngIf="courriel?.errors?.['required']">
            Le nom est requis.
          </div>
          <div *ngIf="courriel?.errors?.['email']">
            Veuillez entrer une adresse courriel valide
          </div>
        </div>
      </div>

      <div class="form-floating mb-3">
        <input id="motDePasse" type="password" class="form-control" formControlName="motDePasse"
               placeholder="Mot de passe"
               [class.is-invalid]="motDePasse?.invalid && form.submitted">
        <label for="motDePasse" class="form-label">Mot de passe</label>
        <div class="invalid-feedback">
          <div *ngIf="motDePasse?.errors?.['required']">
            Le mot de passe est requis.
          </div>
        </div>
      </div>

      <button type="submit" class="btn btn-primary">Connexion</button>
    </form>
  </div>
</div>

